Bug 259271 - devel/crc32c: Update to 1.1.2
Summary: devel/crc32c: Update to 1.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/google/crc32c/comm...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-19 14:05 UTC by Gian-Simon Purkert
Modified: 2021-11-11 12:09 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (amzo1337)


Attachments
Update to 1.1.2 (2.65 KB, patch)
2021-10-19 14:05 UTC, Gian-Simon Purkert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2021-10-19 14:05:43 UTC
Created attachment 228837 [details]
Update to 1.1.2

Changes in 1.1.2:

https://github.com/google/crc32c/commits/1.1.2
Comment 1 Fernando Apesteguía freebsd_committer 2021-11-10 06:30:07 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 2 Gian-Simon Purkert 2021-11-10 22:26:43 UTC
Hi Fernando,

I could not find one, that's why i added the commit changes from 1.1.1.
Comment 3 Gian-Simon Purkert 2021-11-10 22:30:08 UTC
Well i found that:

Bump deps (#56)

https://github.com/google/crc32c/releases/tag/1.1.2

;)
Comment 4 commit-hook freebsd_committer 2021-11-11 12:09:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=04089babef24718ba873fe105ec943388d3f37f3

commit 04089babef24718ba873fe105ec943388d3f37f3
Author:     Gian-Simon Purkert <gspurki@gmail.com>
AuthorDate: 2021-11-10 06:30:00 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-11-11 12:07:10 +0000

    devel/crc32c: Update to 1.1.2

    ChangeLog: https://github.com/google/crc32c/commits/1.1.2

    PR:     259271
    Reported by:    gspurki@gmail.com
    Approved by:    amzo1337@gmail.com (maintainer timeout > 3 weeks)

 devel/crc32c/Makefile                              |  2 +-
 devel/crc32c/distinfo                              |  6 +++---
 .../files/patch-src_crc32c__read__le.h (gone)      | 25 ----------------------
 3 files changed, 4 insertions(+), 29 deletions(-)
Comment 5 Fernando Apesteguía freebsd_committer 2021-11-11 12:09:52 UTC
Committed,

Thanks!